<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.ansys.com/ekm/application"
	xmlns:ekmApplication="http://www.ansys.com/ekm/application">

	<xsd:complexType name="NameValue">
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="value" type="xsd:string" use="required" />
	</xsd:complexType>	

	<xsd:complexType name="Application">
		<xsd:sequence>
			<xsd:element name="key" type="xsd:string"/>
			<xsd:element name="label" type="xsd:string" minOccurs="0"/>
			<xsd:element name="execPath" type="xsd:string"/>
			<xsd:element name="param" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element name="env" type="ekmApplication:NameValue" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element name="nativeOptions" type="xsd:string" minOccurs="0"/>
		</xsd:sequence>
		<xsd:attribute name="forInternalUse" type="xsd:boolean" use="optional" default="false"/>
	</xsd:complexType>

	<xsd:complexType name="Applications">
		<xsd:sequence>
			<xsd:element name="application" type="ekmApplication:Application" minOccurs="1" maxOccurs="1"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="applications" type="ekmApplication:Applications" />

</xsd:schema>